<?php
/**
 * Created by PhpStorm.
 * User: hp
 * Date: 2017/11/20
 * Time: 15:50
 */
Route::group(['domain'=>env('CHANNEL_DOMAIN'),'namespace' => 'App\Http\Controllers\Channel\Trade', 'prefix' => 'api/trade','middleware'=>'ChannelApiAuth'], function () {
    Route::group(['middleware'=>'ChannelOperateRecord'],function (){
        //获取订单列表
        Route::get('orders', 'OrderController@getOrders');

        //获取日订单统计列表
        Route::get('orderDayStats', 'OrderDayStatController@search');
        Route::get('exportOrderDayStats', 'OrderDayStatController@export');
        Route::get('accountOrderDayStats', 'OrderDayStatController@accountSearch');

        
        //导出订单列表
        Route::get('exportOrders', 'OrderController@exportOrders');

        //获取当日订单数据
        Route::get('getChannelToday', 'OrderController@channelTodayStat');
        Route::get('channelTodayData', 'OrderController@channelTodayData');//新
        Route::get('accountChannelTodayData', 'OrderController@accountChannelTodayData');
        
        //获取统计
        Route::get('getChannelTotalStat', 'OrderStatController@getChannelTotalStat');

        Route::get('getChannelRechargeStat', 'OrderStatController@getSendOrdersRechargeStats');
        Route::get('exportChannelRechargeStat', 'OrderStatController@exportSendOrdersRechargeStats');

    });


});